summaryrefslogtreecommitdiff
path: root/.gitlab-ci
diff options
context:
space:
mode:
authorEmmanuele Bassi <ebassi@gnome.org>2020-01-29 14:36:23 +0100
committerEmmanuele Bassi <ebassi@gnome.org>2020-02-11 14:47:22 +0000
commit59028d7d0f3a607949a1c1bc97b9cd6d3a653140 (patch)
tree47edd819354297ff99bf4ed37a514501dc09d6a3 /.gitlab-ci
parent0df542e4940c528c2664358c3362b80d3f3ca9d5 (diff)
downloadgtk+-59028d7d0f3a607949a1c1bc97b9cd6d3a653140.tar.gz
ci: Generate the report for the release builds
We are going to need to hide the report generation into the test runner script, as we want the job to produce the reports even in case of failure, instead of bailing out immediately.
Diffstat (limited to '.gitlab-ci')
-rwxr-xr-x.gitlab-ci/run-tests.sh27
1 files changed, 24 insertions, 3 deletions
diff --git a/.gitlab-ci/run-tests.sh b/.gitlab-ci/run-tests.sh
index 136988e11e..9bac5b93c8 100755
--- a/.gitlab-ci/run-tests.sh
+++ b/.gitlab-ci/run-tests.sh
@@ -1,11 +1,32 @@
#!/bin/bash
-set -e
+set +x
+set +e
+srcdir=$( pwd )
builddir=$1
-cd ${builddir}
+export GDK_BACKEND=x11
xvfb-run -a -s "-screen 0 1024x768x24" \
- meson test --print-errorlogs \
+ meson test -C ${builddir} \
+ --print-errorlogs \
--suite=gtk \
--no-suite=gtk:a11y
+
+# Store the exit code for the CI run, but always
+# generate the reports
+exit_code=$?
+
+$srcdir/.gitlab-ci/meson-junit-report.py \
+ --project-name=gtk \
+ --job-id="${CI_JOB_NAME}" \
+ --output=${builddir}/report.xml \
+ ${builddir}/meson-logs/testlog.json
+$srcdir/.gitlab-ci/meson-html-report.py \
+ --project-name=gtk \
+ --job-id="${CI_JOB_NAME}" \
+ --reftest-output-dir="${builddir}/testsuite/reftests/output" \
+ --output=${builddir}/report.html \
+ ${builddir}/meson-logs/testlog.json
+
+exit $exit_code